<?php
   require_once('funciones.php');
     require('config.php');
if($_GET["s"]!=""){
     $s=intval(base64_decode($_REQUEST["s"]));
   	 $sql = "SELECT * FROM tb_advbanclick WHERE id='$s'";
     $result = mysql_query($sql);
     $row = mysql_fetch_assoc($result);
     $url = $row["url"];
     $count=$row["clic"];
     $id=$row["id"];
     $plan=$row["plan"];
     $wmid=$row["wmid"];
     $urlp=$row["urlpic"];
     if($s==0){$url="/advertise.php?adv=bannerclick";}
     if($count>=$plan){
           $sql="delete from tb_advbanclick where id='$id'";
	   mysql_query($sql) or die(mysql_error());
	   $sql="delete from tb_userclic where idp='$id'";
	   mysql_query($sql) or die(mysql_error());
require_once("_ap.php");
$receiverwmid=$row["wmid"];
 $msgsubj="Уведомление об окончании рекламной компании";
 $msgtext="Здравствуйте! \n\n Ваш баннер 468x60: \n <b>Адрес сайта:</b> $url \n <b>Адрес баннера:</b> $urlp \n <b>Заказано кликов:</b> $plan \n\n Завершила свой показ. \n\n Чтобы добавить повторно, откройте страницу http://almazz-bux.info/advertise.php  \n\n *Это автоматическое информационное сообщение, отвечать на него необязательно* ---------";
 $response = $wmxi->X6(
 $receiverwmid,
 trim($msgsubj),
 trim(str_replace("\r", "", $msgtext))
);
$structure = $parser->Parse($response, DOC_ENCODING);
$transformed = $parser->Reindex($structure, true);
     }

     $ipu=getRealIP();
     $time=date("j");
     $usclic = mysql_query("SELECT ip,date FROM tb_userclic WHERE ip='$ipu' and idp='$id'");
     $uc = mysql_fetch_assoc($usclic);
     $ipr=$uc["ip"];
     $date=$uc["date"];

     if($ipu==$ipr and $time==$date){
       header("location: $url");
     }else{
       if($s!=0){
         $queryb = "UPDATE tb_advbanclick SET clic='$count'+1 WHERE id='$id'";
	     mysql_query($queryb) or die(mysql_error());

         if($ipr==""){
         mysql_query("INSERT INTO tb_userclic (ip, idp, date) VALUES('$ipu','$id','$time')");
         }else{
         mysql_query("UPDATE tb_userclic SET date='$time' WHERE ip='$ipu' or idp='$id'");
         }
       }
       header("location: $url");

     }
}else{echo "Эта страница Вам недоступна.";}

?>